librime: rime::SimpleCandidate Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Attributes | List of all members
rime::SimpleCandidate Class Reference

`#include <candidate.h>`

Inheritance diagram for rime::SimpleCandidate:
[legend]
Collaboration diagram for rime::SimpleCandidate:
[legend]

## Public Member Functions
| SimpleCandidate ()=default
| SimpleCandidate (const string &type, size_t start, size_t end, const string &text, const string &comment=string(), const string &preedit=string())
const string & | text () const
string | comment () const
string | preedit () const
void | set_text (const string &text)
void | set_comment (const string &comment)
void | set_preedit (const string &preedit)
Public Member Functions inherited from rime::Candidate
| Candidate ()=default
| Candidate (const string &type, size_t start, size_t end, double quality=0.)
virtual | ~Candidate ()=default
int | compare (const Candidate &other)
const string & | type () const
size_t | start () const
size_t | end () const
double | quality () const
void | set_type (const string &type)
void | set_start (size_t start)
void | set_end (size_t end)
void | set_quality (double quality)

## Protected Attributes
string | text_
string | comment_
string | preedit_

## Additional Inherited Members
Static Public Member Functions inherited from rime::Candidate
static an< Candidate > | GetGenuineCandidate (const an< Candidate > &cand)
static vector< of< Candidate > > | GetGenuineCandidates (const an< Candidate > &cand)

## Constructor & Destructor Documentation

## ◆ SimpleCandidate() [1/2]

rime::SimpleCandidate::SimpleCandidate | ( |  | ) |
| default

## ◆ SimpleCandidate() [2/2]

rime::SimpleCandidate::SimpleCandidate | ( | const string & | type,
|  | size_t | start,
|  | size_t | end,
|  | const string & | text,
|  | const string & | comment = string(),
|  | const string & | preedit = string() )
| inline

## Member Function Documentation

## ◆ comment()

string rime::SimpleCandidate::comment | ( |  | ) | const
| inlinevirtual

Reimplemented from rime::Candidate.

## ◆ preedit()

string rime::SimpleCandidate::preedit | ( |  | ) | const
| inlinevirtual

Reimplemented from rime::Candidate.

## ◆ set_comment()

void rime::SimpleCandidate::set_comment | ( | const string & | comment | ) |
| inline

## ◆ set_preedit()

void rime::SimpleCandidate::set_preedit | ( | const string & | preedit | ) |
| inline

## ◆ set_text()

void rime::SimpleCandidate::set_text | ( | const string & | text | ) |
| inline

## ◆ text()

const string & rime::SimpleCandidate::text | ( |  | ) | const
| inlinevirtual

Implements rime::Candidate.

## Member Data Documentation

## ◆ comment_

string rime::SimpleCandidate::comment_
| protected

## ◆ preedit_

string rime::SimpleCandidate::preedit_
| protected

## ◆ text_

string rime::SimpleCandidate::text_
| protected

The documentation for this class was generated from the following file:

- candidate.h